/** @file

Cartesian2 class implementation

Copyright (C) 2002-2005   The Board of Trustees of The Leland
Stanford Junior University.  All Rights Reserved.

$Id: Cartesian2.cxx,v 1.1 2007/03/14 23:28:29 xiefang Exp $

*/

#include "Cartesian2.h"
#include "UnaryTransform.h"

using namespace hippodraw;


Cartesian2::Cartesian2 ( UnaryTransform * z )
  : PeriodicBinaryTransform ( z, true, true, false, true,
			      0.0, +360.0,
			      - 90.0, + 90.0 )
{
  m_name = "Cartesian2";
  const std::string projType("CAR");
  double crpix[] = {180, 0}, crval[] = {180,0}, cdelt[] = {1,1};
  initwcs (projType, crpix, crval, cdelt, 0, false);
}

Cartesian2::Cartesian2 ( const Cartesian2 & t )
  :  PeriodicBinaryTransform ( t )
{
  const std::string projType("CAR");
  double crpix[] = {180, 0}, crval[] = {180,0}, cdelt[] = {1,1};
  initwcs (projType, crpix, crval, cdelt, 0, false);
}

Cartesian2::~Cartesian2 ()
{
}

#ifdef CLONE_DEFECT
TransformBase * Cartesian2::clone () const
#else
Cartesian2    * Cartesian2::clone () const
#endif
{
  return new Cartesian2 ( *this );
}



/* virtual */
double Cartesian2::aspectRatio () const
{
  return 2.0;
}



