/** @file

TAN2 class implementation

Copyright (C) 2002-2005   The Board of Trustees of The Leland
Stanford Junior University.  All Rights Reserved.

$Id: TAN2.cxx,v 1.1 2007/03/14 23:28:29 xiefang Exp $

*/

#include "TAN2.h"
#include "UnaryTransform.h"

using namespace hippodraw;


TAN2::TAN2 ( UnaryTransform * z )
  : PeriodicBinaryTransform ( z, true, true, false, true,
			      0.0, 360.0,
			      - 90.0, + 90.0 )
{
  m_name = "TAN2";
  const std::string projType("TAN");
  double crpix[] = {180, 90}, crval[] = {180,90}, cdelt[] = {1,1};
  initwcs (projType, crpix, crval, cdelt, 0, false);
}

TAN2::TAN2 ( const TAN2 & t )
  :  PeriodicBinaryTransform ( t )
{
  const std::string projType("TAN");
  double crpix[] = {180, 90}, crval[] = {180,90}, cdelt[] = {1,1};
  initwcs (projType, crpix, crval, cdelt, 0, false);
}

TAN2::~TAN2 ()
{
}

#ifdef CLONE_DEFECT
TransformBase * TAN2::clone () const
#else
TAN2    * TAN2::clone () const
#endif
{
  return new TAN2 ( *this );
}



/* virtual */
double TAN2::aspectRatio () const
{
  return 1.0;
}



